> ## Documentation Index
> Fetch the complete documentation index at: https://docs.electra.systems/llms.txt
> Use this file to discover all available pages before exploring further.

# Get device info

> Returns information about a specific device. The deviceId can be the actual deviceId or alias. Requires authentication.



## OpenAPI

````yaml GET /devices/{deviceId}
openapi: 3.0.1
info:
  title: Electra API
  description: Electra public API documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.electra.systems/v1/public
security:
  - bearerAuth: []
paths:
  /devices/{deviceId}:
    get:
      description: >-
        Returns information about a specific device. The deviceId can be the
        actual deviceId or alias. Requires authentication.
      parameters:
        - name: deviceId
          in: path
          required: true
          description: The device ID or alias
          schema:
            type: string
      responses:
        '200':
          description: Device info retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceResponse'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DeviceResponse:
      type: object
      properties:
        message:
          type: string
          description: Response message
          example: Device info retrieved
        data:
          $ref: '#/components/schemas/Device'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    Device:
      required:
        - name
      type: object
      properties:
        name:
          description: The name of the tracker/location
          type: string
        alias:
          description: Uinique identifier
          type: string
        deviceId:
          description: Unique device Id
          type: string
        description:
          description: device description
          type: string
        type:
          description: >-
            Type of device. we have Electra for tracking energy and Noulli for
            tracking fuilds
          type: string
        status:
          description: The status of a device can either be active or inactive
          type: string
        createdAt:
          description: Timestamp showing when the device was added to the system
          type: string
        updatedAt:
          description: Timestamp showing when the device details was last modified
          type: string
        meta:
          type: object
          description: Extra information about device
          properties:
            band:
              description: >-
                The electricity band the device is installed on (A-E).
                applicable only to devices in Nigeria.
              type: string
        privacy:
          description: >-
            Privacy can either be private or public. it tells if the device and
            its data are publicly avialable or not
          type: string
        installation:
          description: ''
          type: string
        latestData:
          type: object
          description: The most recent data from the
          properties:
            status:
              description: >-
                The current status of electricity is either 0 or 1, 1 for power
                and 0 for no power
              type: number
              default: 1
            createdAt:
              type: string
              format: date-time
              description: The timestamp when the device was added (ISO 8601 format)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````